Gecode::SymmetryHandle Class Reference
Functionality by programming task » Programming models » Using integer variables and constraints » Branching

A reference-counted pointer to a SymmetryObject. More...

`#include <int.hh>`

## Public Member Functions

void | increment (void)
| Increment counter.
void | decrement (void)
| Decrement counter.
| SymmetryHandle (void)
| Default constructor.
| SymmetryHandle (Int::LDSB::SymmetryObject *o)
| Initialies with a SymmetryObject.
| SymmetryHandle (const SymmetryHandle &h)
| Copy constructor.
const SymmetryHandle & | operator= (const SymmetryHandle &h)
| Assignment operator.
| ~SymmetryHandle (void)
| Destructor.

## Public Attributes

Int::LDSB::SymmetryObject * | ref
| Symmetry object that this handle refers to.

## Detailed Description

A reference-counted pointer to a SymmetryObject.

Definition at line 5255 of file int.hh.

## Constructor & Destructor Documentation

## SymmetryHandle() [1/3]

Gecode::SymmetryHandle::SymmetryHandle | ( | void |  | ) |

Default constructor.

Definition at line 37 of file sym-obj.cpp.

## SymmetryHandle() [2/3]

Gecode::SymmetryHandle::SymmetryHandle | ( | Int::LDSB::SymmetryObject * | o | ) |

Initialies with a SymmetryObject.

Definition at line 39 of file sym-obj.cpp.

## SymmetryHandle() [3/3]

Gecode::SymmetryHandle::SymmetryHandle | ( | const SymmetryHandle & | h | ) |

Copy constructor.

Definition at line 41 of file sym-obj.cpp.

## ~SymmetryHandle()

Gecode::SymmetryHandle::~SymmetryHandle | ( | void |  | ) |

Destructor.

Definition at line 57 of file sym-obj.cpp.

## Member Function Documentation

## increment()

void Gecode::SymmetryHandle::increment | ( | void |  | ) |

Increment counter.

Definition at line 62 of file sym-obj.cpp.

## decrement()

void Gecode::SymmetryHandle::decrement | ( | void |  | ) |

Decrement counter.

Definition at line 66 of file sym-obj.cpp.

## operator=()

const SymmetryHandle & Gecode::SymmetryHandle::operator= | ( | const SymmetryHandle & | h | ) |

Assignment operator.

Definition at line 47 of file sym-obj.cpp.

## Member Data Documentation

## ref

Int::LDSB::SymmetryObject* Gecode::SymmetryHandle::ref

Symmetry object that this handle refers to.

Definition at line 5258 of file int.hh.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/ldsb/sym-obj.cpp